"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RunScheduledInstancesRequestFilterSensitiveLog = exports.ScheduledInstancesLaunchSpecificationFilterSensitiveLog = exports.RunInstancesRequestFilterSensitiveLog = exports.RequestSpotInstancesResultFilterSensitiveLog = exports.RequestSpotInstancesRequestFilterSensitiveLog = exports.RequestSpotLaunchSpecificationFilterSensitiveLog = exports.RequestSpotFleetRequestFilterSensitiveLog = exports.ModifyVerifiedAccessTrustProviderResultFilterSensitiveLog = exports.ModifyVerifiedAccessTrustProviderRequestFilterSensitiveLog = exports.ModifyVerifiedAccessTrustProviderOidcOptionsFilterSensitiveLog = exports.ImportVolumeResultFilterSensitiveLog = exports.ImportVolumeRequestFilterSensitiveLog = exports.MembershipType = exports.ResetImageAttributeName = exports.ResetFpgaImageAttributeName = exports.ReportStatusType = exports.ReportInstanceReasonCodes = exports.Status = exports.VpcTenancy = exports.TrafficMirrorSessionField = exports.TrafficMirrorFilterRuleField = exports.TargetStorageTier = exports.HostTenancy = exports.UnsuccessfulInstanceCreditSpecificationErrorCode = exports.OperationType = exports.ModifyAvailabilityZoneOptInStatus = void 0;
const smithy_client_1 = require("@aws-sdk/smithy-client");
const models_0_1 = require("./models_0");
const models_3_1 = require("./models_3");
const models_4_1 = require("./models_4");
const models_5_1 = require("./models_5");
exports.ModifyAvailabilityZoneOptInStatus = {
    not_opted_in: "not-opted-in",
    opted_in: "opted-in",
};
exports.OperationType = {
    add: "add",
    remove: "remove",
};
exports.UnsuccessfulInstanceCreditSpecificationErrorCode = {
    INCORRECT_INSTANCE_STATE: "IncorrectInstanceState",
    INSTANCE_CREDIT_SPECIFICATION_NOT_SUPPORTED: "InstanceCreditSpecification.NotSupported",
    INSTANCE_NOT_FOUND: "InvalidInstanceID.NotFound",
    INVALID_INSTANCE_ID: "InvalidInstanceID.Malformed",
};
exports.HostTenancy = {
    dedicated: "dedicated",
    host: "host",
};
exports.TargetStorageTier = {
    archive: "archive",
};
exports.TrafficMirrorFilterRuleField = {
    description: "description",
    destination_port_range: "destination-port-range",
    protocol: "protocol",
    source_port_range: "source-port-range",
};
exports.TrafficMirrorSessionField = {
    description: "description",
    packet_length: "packet-length",
    virtual_network_id: "virtual-network-id",
};
exports.VpcTenancy = {
    default: "default",
};
exports.Status = {
    inClassic: "InClassic",
    inVpc: "InVpc",
    moveInProgress: "MoveInProgress",
};
exports.ReportInstanceReasonCodes = {
    instance_stuck_in_state: "instance-stuck-in-state",
    not_accepting_credentials: "not-accepting-credentials",
    other: "other",
    password_not_available: "password-not-available",
    performance_ebs_volume: "performance-ebs-volume",
    performance_instance_store: "performance-instance-store",
    performance_network: "performance-network",
    performance_other: "performance-other",
    unresponsive: "unresponsive",
};
exports.ReportStatusType = {
    impaired: "impaired",
    ok: "ok",
};
exports.ResetFpgaImageAttributeName = {
    loadPermission: "loadPermission",
};
exports.ResetImageAttributeName = {
    launchPermission: "launchPermission",
};
exports.MembershipType = {
    igmp: "igmp",
    static: "static",
};
const ImportVolumeRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Image && { Image: (0, models_5_1.DiskImageDetailFilterSensitiveLog)(obj.Image) }),
});
exports.ImportVolumeRequestFilterSensitiveLog = ImportVolumeRequestFilterSensitiveLog;
const ImportVolumeResultFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.ConversionTask && { ConversionTask: (0, models_3_1.ConversionTaskFilterSensitiveLog)(obj.ConversionTask) }),
});
exports.ImportVolumeResultFilterSensitiveLog = ImportVolumeResultFilterSensitiveLog;
const ModifyVerifiedAccessTrustProviderOidcOptionsFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.ClientSecret && { ClientSecret: smithy_client_1.SENSITIVE_STRING }),
});
exports.ModifyVerifiedAccessTrustProviderOidcOptionsFilterSensitiveLog = ModifyVerifiedAccessTrustProviderOidcOptionsFilterSensitiveLog;
const ModifyVerifiedAccessTrustProviderRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.OidcOptions && {
        OidcOptions: (0, exports.ModifyVerifiedAccessTrustProviderOidcOptionsFilterSensitiveLog)(obj.OidcOptions),
    }),
});
exports.ModifyVerifiedAccessTrustProviderRequestFilterSensitiveLog = ModifyVerifiedAccessTrustProviderRequestFilterSensitiveLog;
const ModifyVerifiedAccessTrustProviderResultFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.VerifiedAccessTrustProvider && {
        VerifiedAccessTrustProvider: (0, models_0_1.VerifiedAccessTrustProviderFilterSensitiveLog)(obj.VerifiedAccessTrustProvider),
    }),
});
exports.ModifyVerifiedAccessTrustProviderResultFilterSensitiveLog = ModifyVerifiedAccessTrustProviderResultFilterSensitiveLog;
const RequestSpotFleetRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.SpotFleetRequestConfig && {
        SpotFleetRequestConfig: (0, models_4_1.SpotFleetRequestConfigDataFilterSensitiveLog)(obj.SpotFleetRequestConfig),
    }),
});
exports.RequestSpotFleetRequestFilterSensitiveLog = RequestSpotFleetRequestFilterSensitiveLog;
const RequestSpotLaunchSpecificationFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.UserData && { UserData: smithy_client_1.SENSITIVE_STRING }),
});
exports.RequestSpotLaunchSpecificationFilterSensitiveLog = RequestSpotLaunchSpecificationFilterSensitiveLog;
const RequestSpotInstancesRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.LaunchSpecification && {
        LaunchSpecification: (0, exports.RequestSpotLaunchSpecificationFilterSensitiveLog)(obj.LaunchSpecification),
    }),
});
exports.RequestSpotInstancesRequestFilterSensitiveLog = RequestSpotInstancesRequestFilterSensitiveLog;
const RequestSpotInstancesResultFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.SpotInstanceRequests && {
        SpotInstanceRequests: obj.SpotInstanceRequests.map((item) => (0, models_4_1.SpotInstanceRequestFilterSensitiveLog)(item)),
    }),
});
exports.RequestSpotInstancesResultFilterSensitiveLog = RequestSpotInstancesResultFilterSensitiveLog;
const RunInstancesRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.UserData && { UserData: smithy_client_1.SENSITIVE_STRING }),
});
exports.RunInstancesRequestFilterSensitiveLog = RunInstancesRequestFilterSensitiveLog;
const ScheduledInstancesLaunchSpecificationFilterSensitiveLog = (obj) => ({
    ...obj,
});
exports.ScheduledInstancesLaunchSpecificationFilterSensitiveLog = ScheduledInstancesLaunchSpecificationFilterSensitiveLog;
const RunScheduledInstancesRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.LaunchSpecification && { LaunchSpecification: smithy_client_1.SENSITIVE_STRING }),
});
exports.RunScheduledInstancesRequestFilterSensitiveLog = RunScheduledInstancesRequestFilterSensitiveLog;
